System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.StreamUpgradeProvider

To add a security upgrade, you implement a class that derives from .

The upgrade process has the following steps:

Implement a class that derives from .

Register it. You do this by creating a binding element for it, and registering the provider in a custom binding.

The derived class that you implement creates an instance of , which at run time initiates a request to the other end of its connection to upgrade the channel transport layer.

The derived class that you implement creates an instance of , which at run time receives the upgrade request from the preceding step, and if possible, accepts the upgrade, and returns the upgraded stream to the other side of its connection.

The security upgrade request can be one of many similar requests. If so, the requests are processed in a definite order. For more information, see .

Implements a custom security upgrade provider, inherited from this abstract base class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  These time-outs control the default Close and Open time-outs when using the custom security upgrade provider.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.EndpointIdentity To be added.

  This identity can be used for developing custom stream-level authentication schemes through inheriting from the upgrade provider class.

  Gets the identity being used for the security upgrade.